<template>
  <div class="row overlay center w-100 no-gutters"
    :class="{
     'justify-content-center': align === 'center',
     'justify-content-start': align === 'left',
     'justify-content-end': align === 'right'
     }"
  >
    <div class="col-auto px-4">
      <div v-if="fiveSecPosterShow">
        <h1 :class="overlayBackground && overlayHighlightClass" :style="overlayTextStyle">
          <span class="d-flex justify-content-center" v-html="fiveSecPosterText"></span></h1>
      </div>
    </div>
  </div>
</template>

<script>

module.exports = {
  props: ['fiveSecPosterShow', 'fiveSecPosterText', 'data', 'overlayBackground', 'align'],
  computed: {
    overlayHighlightClass() {
      return (this.data['video-textoverlay-highlight-type'].toLowerCase() === 'light') ?
        'text-overlay-highlight-light' : 'text-overlay-highlight-dark'
    },
    overlayTextStyle(){
      let overlayStyle = { ...this.data['subhead-font-StyleObj'] }
      overlayStyle.color = this.data['button-font-color'] + '!important'
      return overlayStyle
    }
  }
}
</script>
